This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 103947 - can not upgrade install redhat linux 9.0
can not upgrade install redhat linux 9.0
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 06:02 EDT by pandachina
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:24:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upgrade install error message (110.33 KB, text/plain)
2003-09-08 06:07 EDT, pandachina
no flags Details

  None (edit)
Description pandachina 2003-09-08 06:02:22 EDT
Description of problem:
i upgrade with below
#rpm -Uvh  glibc-2.3.2-27.9.i386.rpm  glibc-common-2.3.2-27.9.i386.rpm

then my box can not boot up 
INIT: id "x" respawning too fast: disabled for 5 minutes
error: %post(glibc-2.3.2.27.9) scriptlet failed, exit status 121

so i try to reproduce it enter into rescue mode.
#chroot /mnt/sysimage
segment fault
#rpm2cpio glibc-2.3.2-11.9.i386.rpm〉glibc-2.3.2-11.9.i386.cpio
#cpio --make-directories --force-local --extract --no-absolute-filenames --
verbose -F glibc-2.3.2-11.9.i386.cpio
then i got a tree,and copy over to /mnt/sysimage
#ldconfig -r /mnt/sysimage -v
with above method it does not work too.

at last i found Bug 88456 - glibc-2_3_2-27_9_i686_rpm does not rpm -Fvh properly
so i do it like that.

then i want to upgrade install some rpms.
i got a error. 


Version-Release number of selected component (if applicable):


How reproducible:




Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 pandachina 2003-09-08 06:07:15 EDT
Created attachment 94290 [details]
upgrade install error message
Comment 2 Jeremy Katz 2004-02-23 12:16:20 EST
Could you please verify your media following the instructions at
http://rhlinux.redhat.com/anaconda/mediacheck.html?
Comment 3 Jeremy Katz 2004-10-04 23:24:43 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.